Package org.apache.cayenne.access.sqlbuilder.sqltree

# Class ExpressionNode

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.Node
org.apache.cayenne.access.sqlbuilder.sqltree.ExpressionNode

Direct Known Subclasses:
  `BetweenNode`, `BitwiseNotNode`, `EqualNode`, `LikeNode`, `NotEqualNode`, `OpExpressionNode`

public class ExpressionNode extends Node

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

  `children, childrenCount, parent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpressionNode()`
  `ExpressionNode(NodeType nodeType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuotingAppendable`
  `append(QuotingAppendable buffer)`
  `void`
  `appendChildrenEnd(QuotingAppendable buffer)`
  `void`
  `appendChildrenStart(QuotingAppendable buffer)`
  `Node`
  `copy()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

  `addChild, addChild, appendChildrenSeparator, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, visit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExpressionNode

    public ExpressionNode()

  - ### ExpressionNode

    public ExpressionNode(NodeType nodeType)

- ## Method Details

  - ### append

    public QuotingAppendable append(QuotingAppendable buffer)
    Specified by:
      `append` in class `Node`

  - ### appendChildrenStart

    public void appendChildrenStart(QuotingAppendable buffer)
    Overrides:
      `appendChildrenStart` in class `Node`

  - ### appendChildrenEnd

    public void appendChildrenEnd(QuotingAppendable buffer)
    Overrides:
      `appendChildrenEnd` in class `Node`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Node`

  - ### copy

    public Node copy()
    Specified by:
      `copy` in class `Node`